Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.utils
Class ValidationError.Error

    java.lang.Object
      |
      +--oracle.portal.provider.v2.utils.ValidationError.Error

Enclosing class:
  ValidationError

public static class ValidationError.Error
extends java.lang.Object

Encapsulates information relating to a single error.

Constructor Summary
`ValidationError.Error(java.lang.String context, java.lang.String error, java.lang.String values)` Constructs this `Error` instance with the supplied context and error details.

Method Summary
`java.lang.String` | `getContext()` Returns the context of this `Error`.
`java.lang.String` | `getError()` Returns the reason for this `Error`.
`java.lang.String` | `getValues()` Returns the values of this `Error`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationError.Error

    public ValidationError.Error(java.lang.String context,
                                 java.lang.String error,
                                 java.lang.String values)

  Constructs this `Error` instance with the supplied context and error details.

Parameters:
  `context` - Context information.
  `error` - Error message.
  `values` - Error values.

Method Detail

### getContext

    public java.lang.String getContext()

  Returns the context of this `Error`.

### getError

    public java.lang.String getError()

  Returns the reason for this `Error`.

### getValues

    public java.lang.String getValues()

  Returns the values of this `Error`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.